=== src/Makefile ===
#############################################################################
# Makefile for building: ../bin/ifpgui
# Generated by qmake (1.07a) (Qt 3.3.5) on: Sun May 14 15:16:12 2006
# Project:  src.pro
# Template: app
# Command: $(QMAKE) -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -O2 -march=i586 -mtune=i686 -fmessage-length=0 -Wall -D_FORTIFY_SOURCE=2 -g -fno-strict-aliasing -Wall -W -O2 -march=i586 -mtune=i686 -fmessage-length=0 -Wall -D_FORTIFY_SOURCE=2 -g -fno-strict-aliasing  -DQT_NO_DEBUG -DQT_SHARED -DQT_TABLET_SUPPORT -DQT_THREAD_SUPPORT
CXXFLAGS = -pipe -O2 -march=i586 -mtune=i686 -fmessage-length=0 -Wall -D_FORTIFY_SOURCE=2 -g -fno-strict-aliasing -Wall -W -O2 -march=i586 -mtune=i686 -fmessage-length=0 -Wall -D_FORTIFY_SOURCE=2 -g -fno-strict-aliasing  -DQT_NO_DEBUG -DQT_SHARED -DQT_TABLET_SUPPORT -DQT_THREAD_SUPPORT
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/lib/qt3/mkspecs/default -I. -I/usr/include -I$(QTDIR)/include
LINK     = g++
LFLAGS   = 
LIBS     = $(SUBLIBS) -L/usr/local/lib -L/usr/X11R6/lib -L$(QTDIR)/lib/ -L/usr/X11R6/lib/ -lusb -L/usr/local/lib -L/usr/X11R6/lib -lqt-mt -lXext -lX11 -lm
AR       = ar cqs
RANLIB   = 
MOC      = $(QTDIR)/bin/moc
UIC      = $(QTDIR)/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = ./

####### Files

HEADERS = ifp_gui.h \
		fileviewer.h \
		ifpguiview.h \
		ifptoolbar.h \
		progressdlg.h \
		createdirdlg.h \
		settings.h \
		gui_user.h \
		ifp.h \
		libifp/ifp_os.h \
		libifp/prim.h \
		radiofreqdlg.h \
		ifprecconv/adpcm.h \
		ifprecconv/endian.h \
		ifprecconv.h \
		playlist/playlistloader.h \
		revision.h \
		iointerface.h \
		ifpinterface.h
SOURCES = ifp_gui.cpp \
		main.cpp \
		fileviewer.cpp \
		ifpguiview.cpp \
		ifptoolbar.cpp \
		progressdlg.cpp \
		createdirdlg.cpp \
		settings.cpp \
		gui_user.cpp \
		libifp/comp.c \
		libifp/error_strings.c \
		libifp/ifp_os_libusb.c \
		libifp/prim.c \
		libifp/readwrite.c \
		libifp/tuner.c \
		libifp/userfile.c \
		radiofreqdlg.cpp \
		ifprecconv/adpcm.c \
		ifprecconv/ifprecconv.c \
		playlist/playlistloader.cpp \
		revision.cpp \
		iointerface.cpp \
		ifpinterface.cpp
OBJECTS = ifp_gui.o \
		main.o \
		fileviewer.o \
		ifpguiview.o \
		ifptoolbar.o \
		progressdlg.o \
		createdirdlg.o \
		settings.o \
		gui_user.o \
		comp.o \
		error_strings.o \
		ifp_os_libusb.o \
		prim.o \
		readwrite.o \
		tuner.o \
		userfile.o \
		radiofreqdlg.o \
		adpcm.o \
		ifprecconv.o \
		playlistloader.o \
		revision.o \
		iointerface.o \
		ifpinterface.o \
		qmake_image_collection.o
FORMS = 
UICDECLS = 
UICIMPLS = 
SRCMOC   = moc_ifp_gui.cpp \
		moc_fileviewer.cpp \
		moc_ifpguiview.cpp \
		moc_ifptoolbar.cpp \
		moc_progressdlg.cpp \
		moc_createdirdlg.cpp \
		moc_radiofreqdlg.cpp
OBJMOC = moc_ifp_gui.o \
		moc_fileviewer.o \
		moc_ifpguiview.o \
		moc_ifptoolbar.o \
		moc_progressdlg.o \
		moc_createdirdlg.o \
		moc_radiofreqdlg.o
DIST	   = src.pro
QMAKE_TARGET = ifpgui
DESTDIR  = ../bin/
TARGET   = ../bin/ifpgui

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	test -d ../bin/ || mkdir -p ../bin/
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(OBJCOMP) $(LIBS)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: src.pro  /usr/lib/qt3/mkspecs/default/qmake.conf /usr/lib/qt3/lib/libqt-mt.prl
	$(QMAKE) -o Makefile src.pro
qmake: 
	@$(QMAKE) -o Makefile src.pro

dist: 
	@mkdir -p .tmp/ifpgui && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .tmp/ifpgui/ && $(COPY_FILE) --parents translations/ifpgui_ru.ts translations/ifpgui_da_DK.ts translations/ifpgui_de.ts translations/ifpgui_blank.ts .tmp/ifpgui/ && $(COPY_FILE) --parents battery0.png battery1.png battery2.png battery3.png battery4.png download_s.png editdelete_s.png fileclose_s.png format_s.png radio_s.png reload_s.png upload_s.png multimedia.png music.png playlist.png delete.png newfolder.png properties.png reload.png rename.png updirectory.png view_left_right.png view_top_bottom.png .tmp/ifpgui/ && ( cd `dirname .tmp/ifpgui` && $(TAR) ifpgui.tar ifpgui && $(GZIP) ifpgui.tar ) && $(MOVE) `dirname .tmp/ifpgui`/ifpgui.tar.gz . && $(DEL_FILE) -r .tmp/ifpgui

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:

yaccclean:
lexclean:
clean: mocclean
	-$(DEL_FILE) $(OBJECTS)
		-$(DEL_FILE) qmake_image_collection.cpp
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../bin/$(TARGET) $(TARGET)


FORCE:

####### Compile

ifp_gui.o: ifp_gui.cpp ifpinterface.h \
		radiofreqdlg.h \
		revision.h \
		ifp_gui.h \
		ifp.h \
		ifpguiview.h \
		fileviewer.h \
		settings.h \
		ifptoolbar.h \
		iointerface.h \
		gui_user.h

main.o: main.cpp ifp_gui.h \
		ifpguiview.h \
		fileviewer.h \
		settings.h \
		ifptoolbar.h \
		iointerface.h \
		gui_user.h

fileviewer.o: fileviewer.cpp fileviewer.h \
		progressdlg.h \
		ifpinterface.h \
		createdirdlg.h \
		iointerface.h \
		gui_user.h \
		ifp.h

ifpguiview.o: ifpguiview.cpp ifpguiview.h \
		radiofreqdlg.h \
		playlist/playlistloader.h \
		progressdlg.h \
		iointerface.h \
		gui_user.h \
		fileviewer.h \
		settings.h \
		ifptoolbar.h \
		ifpinterface.h \
		ifp.h

ifptoolbar.o: ifptoolbar.cpp ifptoolbar.h

progressdlg.o: progressdlg.cpp progressdlg.h \
		ifpinterface.h \
		ifp.h

createdirdlg.o: createdirdlg.cpp createdirdlg.h

settings.o: settings.cpp settings.h

gui_user.o: gui_user.cpp gui_user.h \
		iointerface.h \
		ifpinterface.h \
		progressdlg.h \
		ifp.h

comp.o: libifp/comp.c ifp.h \
		libifp/ifp_os.h \
		libifp/prim.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o comp.o libifp/comp.c

error_strings.o: libifp/error_strings.c ifp.h \
		libifp/ifp_os.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o error_strings.o libifp/error_strings.c

ifp_os_libusb.o: libifp/ifp_os_libusb.c ifp.h \
		libifp/ifp_os.h \
		libifp/prim.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o ifp_os_libusb.o libifp/ifp_os_libusb.c

prim.o: libifp/prim.c ifp.h \
		libifp/ifp_os.h \
		libifp/prim.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o prim.o libifp/prim.c

readwrite.o: libifp/readwrite.c ifp.h \
		libifp/ifp_os.h \
		libifp/prim.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o readwrite.o libifp/readwrite.c

tuner.o: libifp/tuner.c ifp.h \
		libifp/ifp_os.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o tuner.o libifp/tuner.c

userfile.o: libifp/userfile.c ifp.h \
		libifp/ifp_os.h \
		libifp/prim.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o userfile.o libifp/userfile.c

radiofreqdlg.o: radiofreqdlg.cpp radiofreqdlg.h \
		gui_user.h \
		ifpinterface.h \
		ifp.h

adpcm.o: ifprecconv/adpcm.c ifprecconv/adpcm.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o adpcm.o ifprecconv/adpcm.c

ifprecconv.o: ifprecconv/ifprecconv.c ifprecconv/adpcm.h \
		ifprecconv/endian.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o ifprecconv.o ifprecconv/ifprecconv.c

playlistloader.o: playlist/playlistloader.cpp playlist/playlistloader.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o playlistloader.o playlist/playlistloader.cpp

revision.o: revision.cpp 

iointerface.o: iointerface.cpp progressdlg.h \
		createdirdlg.h \
		iointerface.h \
		ifpinterface.h \
		ifp.h \
		gui_user.h

ifpinterface.o: ifpinterface.cpp ifpinterface.h \
		ifprecconv.h \
		ifp.h

moc_ifp_gui.o: moc_ifp_gui.cpp  ifp_gui.h ifpguiview.h \
		fileviewer.h \
		settings.h \
		ifptoolbar.h \
		iointerface.h \
		gui_user.h

moc_fileviewer.o: moc_fileviewer.cpp  fileviewer.h iointerface.h \
		gui_user.h

moc_ifpguiview.o: moc_ifpguiview.cpp  ifpguiview.h fileviewer.h \
		settings.h \
		ifptoolbar.h \
		iointerface.h \
		gui_user.h

moc_ifptoolbar.o: moc_ifptoolbar.cpp  ifptoolbar.h 

moc_progressdlg.o: moc_progressdlg.cpp  progressdlg.h ifpinterface.h \
		ifp.h

moc_createdirdlg.o: moc_createdirdlg.cpp  createdirdlg.h 

moc_radiofreqdlg.o: moc_radiofreqdlg.cpp  radiofreqdlg.h ifpinterface.h \
		ifp.h

moc_ifp_gui.cpp: $(MOC) ifp_gui.h
	$(MOC) ifp_gui.h -o moc_ifp_gui.cpp

moc_fileviewer.cpp: $(MOC) fileviewer.h
	$(MOC) fileviewer.h -o moc_fileviewer.cpp

moc_ifpguiview.cpp: $(MOC) ifpguiview.h
	$(MOC) ifpguiview.h -o moc_ifpguiview.cpp

moc_ifptoolbar.cpp: $(MOC) ifptoolbar.h
	$(MOC) ifptoolbar.h -o moc_ifptoolbar.cpp

moc_progressdlg.cpp: $(MOC) progressdlg.h
	$(MOC) progressdlg.h -o moc_progressdlg.cpp

moc_createdirdlg.cpp: $(MOC) createdirdlg.h
	$(MOC) createdirdlg.h -o moc_createdirdlg.cpp

moc_radiofreqdlg.cpp: $(MOC) radiofreqdlg.h
	$(MOC) radiofreqdlg.h -o moc_radiofreqdlg.cpp

qmake_image_collection.o: qmake_image_collection.cpp

qmake_image_collection.cpp: battery0.png \
		battery1.png \
		battery2.png \
		battery3.png \
		battery4.png \
		download_s.png \
		editdelete_s.png \
		fileclose_s.png \
		format_s.png \
		radio_s.png \
		reload_s.png \
		upload_s.png \
		multimedia.png \
		music.png \
		playlist.png \
		delete.png \
		newfolder.png \
		properties.png \
		reload.png \
		rename.png \
		updirectory.png \
		view_left_right.png \
		view_top_bottom.png
	$(UIC)  -embed ifpgui battery0.png battery1.png battery2.png battery3.png battery4.png download_s.png editdelete_s.png fileclose_s.png format_s.png radio_s.png reload_s.png upload_s.png multimedia.png music.png playlist.png delete.png newfolder.png properties.png reload.png rename.png updirectory.png view_left_right.png view_top_bottom.png -o qmake_image_collection.cpp

####### Install

install:  

uninstall:
