## ifpgui 0.12.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
-# Makefile for building: ifpgui
-# Generated by qmake (1.07a) (Qt 3.3.5) on: Sun May 14 15:16:21 2006
+# Makefile for building: ../bin/ifpgui
+# Generated by qmake (1.07a) (Qt 3.3.8) on: Thu Aug 30 21:25:33 2007
 # Project:  ifpgui.pro
 # Template: subdirs
 # Command: $(QMAKE) -o Makefile ifpgui.pro
