## ifpgui 0.12.1

=== src/Makefile ===
#############################################################################
# Makefile for building: ../bin/ifpgui
# Generated by qmake (1.07a) (Qt 3.3.8) on: Thu Aug 30 21:25:33 2007
# Project:  src.pro
# Template: app
# Command: $(QMAKE) -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -march=i586 -mtune=i686 -fmessage-length=0 -D_FORTIFY_SOURCE=2 -O2 -fno-strict-aliasing -Wall -W -g  -DQT_SHARED -DQT_TABLET_SUPPORT -DQT_NO_DEBUG -DQT_THREAD_SUPPORT
CXXFLAGS = -pipe -march=i586 -mtune=i686 -fmessage-length=0 -D_FORTIFY_SOURCE=2 -O2 -fno-strict-aliasing -Wall -W -g  -DQT_SHARED -DQT_TABLET_SUPPORT -DQT_NO_DEBUG -DQT_THREAD_SUPPORT
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/lib/qt3/mkspecs/default -I. -I/usr/include -I$(QTDIR)/include -I/usr/X11R6/include -Imoc/
LINK     = g++
LFLAGS   = 
LIBS     = $(SUBLIBS) -L/usr/lib/ -L$(QTDIR)/lib/ -L/usr/X11R6/lib/ -lusb -L/usr/local/lib -L/usr/X11R6/lib -lqt-mt -lXext -lX11 -lm
AR       = ar cqs
RANLIB   = 
MOC      = $(QTDIR)/bin/moc
UIC      = $(QTDIR)/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = obj/

####### Files

HEADERS = ifp_gui.h \
		fileviewer.h \
		ifpguiview.h \
		ifptoolbar.h \
		progressdlg.h \
		createdirdlg.h \
		settings.h \
		gui_user.h \
		ifp.h \
		libifp/ifp_os.h \
		libifp/prim.h \
		radiofreqdlg.h \
		ifprecconv/adpcm.h \
		ifprecconv/endian.h \
		ifprecconv.h \
		playlist/playlistloader.h \
		revision.h \
		iointerface.h \
		ifpinterface.h
SOURCES = ifp_gui.cpp \
		main.cpp \
		fileviewer.cpp \
		ifpguiview.cpp \
		ifptoolbar.cpp \
		progressdlg.cpp \
		createdirdlg.cpp \
		settings.cpp \
		gui_user.cpp \
		libifp/comp.c \
		libifp/error_strings.c \
		libifp/ifp_os_libusb.c \
		libifp/prim.c \
		libifp/readwrite.c \
		libifp/tuner.c \
		libifp/userfile.c \
		radiofreqdlg.cpp \
		ifprecconv/adpcm.c \
		ifprecconv/ifprecconv.c \
		playlist/playlistloader.cpp \
		revision.cpp \
		iointerface.cpp \
		ifpinterface.cpp
OBJECTS = obj/ifp_gui.o \
		obj/main.o \
		obj/fileviewer.o \
		obj/ifpguiview.o \
		obj/ifptoolbar.o \
		obj/progressdlg.o \
		obj/createdirdlg.o \
		obj/settings.o \
		obj/gui_user.o \
		obj/comp.o \
		obj/error_strings.o \
		obj/ifp_os_libusb.o \
		obj/prim.o \
		obj/readwrite.o \
		obj/tuner.o \
		obj/userfile.o \
		obj/radiofreqdlg.o \
		obj/adpcm.o \
		obj/ifprecconv.o \
		obj/playlistloader.o \
		obj/revision.o \
		obj/iointerface.o \
		obj/ifpinterface.o \
		obj/qmake_image_collection.o
FORMS = 
UICDECLS = 
UICIMPLS = 
SRCMOC   = moc/moc_ifp_gui.cpp \
		moc/moc_fileviewer.cpp \
		moc/moc_ifpguiview.cpp \
		moc/moc_ifptoolbar.cpp \
		moc/moc_progressdlg.cpp \
		moc/moc_createdirdlg.cpp \
		moc/moc_radiofreqdlg.cpp
OBJMOC = obj/moc_ifp_gui.o \
		obj/moc_fileviewer.o \
		obj/moc_ifpguiview.o \
		obj/moc_ifptoolbar.o \
		obj/moc_progressdlg.o \
		obj/moc_createdirdlg.o \
		obj/moc_radiofreqdlg.o
DIST	   = src.pro
QMAKE_TARGET = ifpgui
DESTDIR  = ../bin/
TARGET   = ../bin/ifpgui

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	test -d ../bin/ || mkdir -p ../bin/
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(OBJCOMP) $(LIBS)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: src.pro  /usr/lib/qt3/mkspecs/default/qmake.conf /usr/lib/qt3/lib/libqt-mt.prl
	$(QMAKE) -o Makefile src.pro
qmake: 
	@$(QMAKE) -o Makefile src.pro

dist: 
	@mkdir -p obj/ifpgui && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) obj/ifpgui/ && $(COPY_FILE) --parents translations/ifpgui_ru.ts translations/ifpgui_da_DK.ts translations/ifpgui_de.ts translations/ifpgui_blank.ts obj/ifpgui/ && $(COPY_FILE) --parents battery0.png battery1.png battery2.png battery3.png battery4.png download_s.png editdelete_s.png fileclose_s.png format_s.png radio_s.png reload_s.png upload_s.png multimedia.png music.png playlist.png delete.png newfolder.png properties.png reload.png rename.png updirectory.png view_left_right.png view_top_bottom.png obj/ifpgui/ && ( cd `dirname obj/ifpgui` && $(TAR) ifpgui.tar ifpgui && $(GZIP) ifpgui.tar ) && $(MOVE) `dirname obj/ifpgui`/ifpgui.tar.gz . && $(DEL_FILE) -r obj/ifpgui

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:

yaccclean:
lexclean:
clean: mocclean
	-$(DEL_FILE) $(OBJECTS)
		-$(DEL_FILE) qmake_image_collection.cpp
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../bin/$(TARGET) $(TARGET)


FORCE:

####### Compile

obj/ifp_gui.o: ifp_gui.cpp ifpinterface.h \
		radiofreqdlg.h \
		revision.h \
		ifp_gui.h \
		ifp.h \
		ifpguiview.h \
		fileviewer.h \
		settings.h \
		ifptoolbar.h \
		iointerface.h \
		gui_user.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/ifp_gui.o ifp_gui.cpp

obj/main.o: main.cpp ifp_gui.h \
		ifpguiview.h \
		fileviewer.h \
		settings.h \
		ifptoolbar.h \
		iointerface.h \
		gui_user.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/main.o main.cpp

obj/fileviewer.o: fileviewer.cpp fileviewer.h \
		progressdlg.h \
		ifpinterface.h \
		createdirdlg.h \
		iointerface.h \
		gui_user.h \
		ifp.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/fileviewer.o fileviewer.cpp

obj/ifpguiview.o: ifpguiview.cpp ifpguiview.h \
		radiofreqdlg.h \
		playlist/playlistloader.h \
		progressdlg.h \
		iointerface.h \
		gui_user.h \
		fileviewer.h \
		settings.h \
		ifptoolbar.h \
		ifpinterface.h \
		ifp.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/ifpguiview.o ifpguiview.cpp

obj/ifptoolbar.o: ifptoolbar.cpp ifptoolbar.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/ifptoolbar.o ifptoolbar.cpp

obj/progressdlg.o: progressdlg.cpp progressdlg.h \
		ifpinterface.h \
		ifp.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/progressdlg.o progressdlg.cpp

obj/createdirdlg.o: createdirdlg.cpp createdirdlg.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/createdirdlg.o createdirdlg.cpp

obj/settings.o: settings.cpp settings.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/settings.o settings.cpp

obj/gui_user.o: gui_user.cpp gui_user.h \
		iointerface.h \
		ifpinterface.h \
		progressdlg.h \
		ifp.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/gui_user.o gui_user.cpp

obj/comp.o: libifp/comp.c ifp.h \
		libifp/ifp_os.h \
		libifp/prim.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o obj/comp.o libifp/comp.c

obj/error_strings.o: libifp/error_strings.c ifp.h \
		libifp/ifp_os.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o obj/error_strings.o libifp/error_strings.c

obj/ifp_os_libusb.o: libifp/ifp_os_libusb.c ifp.h \
		libifp/ifp_os.h \
		libifp/prim.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o obj/ifp_os_libusb.o libifp/ifp_os_libusb.c

obj/prim.o: libifp/prim.c ifp.h \
		libifp/ifp_os.h \
		libifp/prim.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o obj/prim.o libifp/prim.c

obj/readwrite.o: libifp/readwrite.c ifp.h \
		libifp/ifp_os.h \
		libifp/prim.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o obj/readwrite.o libifp/readwrite.c

obj/tuner.o: libifp/tuner.c ifp.h \
		libifp/ifp_os.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o obj/tuner.o libifp/tuner.c

obj/userfile.o: libifp/userfile.c ifp.h \
		libifp/ifp_os.h \
		libifp/prim.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o obj/userfile.o libifp/userfile.c

obj/radiofreqdlg.o: radiofreqdlg.cpp radiofreqdlg.h \
		gui_user.h \
		ifpinterface.h \
		ifp.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/radiofreqdlg.o radiofreqdlg.cpp

obj/adpcm.o: ifprecconv/adpcm.c ifprecconv/adpcm.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o obj/adpcm.o ifprecconv/adpcm.c

obj/ifprecconv.o: ifprecconv/ifprecconv.c ifprecconv/adpcm.h \
		ifprecconv/endian.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o obj/ifprecconv.o ifprecconv/ifprecconv.c

obj/playlistloader.o: playlist/playlistloader.cpp playlist/playlistloader.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/playlistloader.o playlist/playlistloader.cpp

obj/revision.o: revision.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/revision.o revision.cpp

obj/iointerface.o: iointerface.cpp progressdlg.h \
		createdirdlg.h \
		iointerface.h \
		ifpinterface.h \
		ifp.h \
		gui_user.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/iointerface.o iointerface.cpp

obj/ifpinterface.o: ifpinterface.cpp ifpinterface.h \
		ifprecconv.h \
		ifp.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/ifpinterface.o ifpinterface.cpp

obj/moc_ifp_gui.o: moc/moc_ifp_gui.cpp  ifp_gui.h ifpguiview.h \
		fileviewer.h \
		settings.h \
		ifptoolbar.h \
		iointerface.h \
		gui_user.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_ifp_gui.o moc/moc_ifp_gui.cpp

obj/moc_fileviewer.o: moc/moc_fileviewer.cpp  fileviewer.h iointerface.h \
		gui_user.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_fileviewer.o moc/moc_fileviewer.cpp

obj/moc_ifpguiview.o: moc/moc_ifpguiview.cpp  ifpguiview.h fileviewer.h \
		settings.h \
		ifptoolbar.h \
		iointerface.h \
		gui_user.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_ifpguiview.o moc/moc_ifpguiview.cpp

obj/moc_ifptoolbar.o: moc/moc_ifptoolbar.cpp  ifptoolbar.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_ifptoolbar.o moc/moc_ifptoolbar.cpp

obj/moc_progressdlg.o: moc/moc_progressdlg.cpp  progressdlg.h ifpinterface.h \
		ifp.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_progressdlg.o moc/moc_progressdlg.cpp

obj/moc_createdirdlg.o: moc/moc_createdirdlg.cpp  createdirdlg.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_createdirdlg.o moc/moc_createdirdlg.cpp

obj/moc_radiofreqdlg.o: moc/moc_radiofreqdlg.cpp  radiofreqdlg.h ifpinterface.h \
		ifp.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_radiofreqdlg.o moc/moc_radiofreqdlg.cpp

moc/moc_ifp_gui.cpp: $(MOC) ifp_gui.h
	$(MOC) ifp_gui.h -o moc/moc_ifp_gui.cpp

moc/moc_fileviewer.cpp: $(MOC) fileviewer.h
	$(MOC) fileviewer.h -o moc/moc_fileviewer.cpp

moc/moc_ifpguiview.cpp: $(MOC) ifpguiview.h
	$(MOC) ifpguiview.h -o moc/moc_ifpguiview.cpp

moc/moc_ifptoolbar.cpp: $(MOC) ifptoolbar.h
	$(MOC) ifptoolbar.h -o moc/moc_ifptoolbar.cpp

moc/moc_progressdlg.cpp: $(MOC) progressdlg.h
	$(MOC) progressdlg.h -o moc/moc_progressdlg.cpp

moc/moc_createdirdlg.cpp: $(MOC) createdirdlg.h
	$(MOC) createdirdlg.h -o moc/moc_createdirdlg.cpp

moc/moc_radiofreqdlg.cpp: $(MOC) radiofreqdlg.h
	$(MOC) radiofreqdlg.h -o moc/moc_radiofreqdlg.cpp

obj/qmake_image_collection.o: qmake_image_collection.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/qmake_image_collection.o qmake_image_collection.cpp

qmake_image_collection.cpp: battery0.png \
		battery1.png \
		battery2.png \
		battery3.png \
		battery4.png \
		download_s.png \
		editdelete_s.png \
		fileclose_s.png \
		format_s.png \
		radio_s.png \
		reload_s.png \
		upload_s.png \
		multimedia.png \
		music.png \
		playlist.png \
		delete.png \
		newfolder.png \
		properties.png \
		reload.png \
		rename.png \
		updirectory.png \
		view_left_right.png \
		view_top_bottom.png
	$(UIC)  -embed ifpgui battery0.png battery1.png battery2.png battery3.png battery4.png download_s.png editdelete_s.png fileclose_s.png format_s.png radio_s.png reload_s.png upload_s.png multimedia.png music.png playlist.png delete.png newfolder.png properties.png reload.png rename.png updirectory.png view_left_right.png view_top_bottom.png -o qmake_image_collection.cpp

####### Install

install:  

uninstall:
