=== debian/changelog ===
ifpgui (0.12.1-1) unstable; urgency=low

  * New upstream release.
  * Update to policy version 3.8.4.  No changes required.
  * Updated debhelper compatibility to 7.
  * Converted to source format 3.0 (quilt).
  * Lintian goodies:
  * Added misc:Depends to dependencies. 
  * Don't ignore real make clean errors.
  * Exterminate dh_desktop.

 -- Jacob Luna Lundberg <jacob@gnifty.net>  Sat, 13 Feb 2010 14:59:59 -0800

ifpgui (0.12.0-1) unstable; urgency=low

  * New upstream release.
    Fixes a bug that sometimes caused upload or download corruption.
  * Change MOC_DIR and OBJECT_DIR caches to relative locations.
  * Fix man page version.
  * Update dh compat level to 5 ... and update debian/control.
  * Add dh_desktop call to debian/rules.
  * Reduce package priority to extra because it depends on libifp4.
  * Update to policy version 3.7.3.0.  No changes required.

 -- Jacob Luna Lundberg <jacob@gnifty.net>  Mon, 11 Feb 2008 11:34:44 -0800

ifpgui (0.10.8-1) unstable; urgency=low

  * New upstream release.
  * Correct appRevision variable in src/revision.cpp.
  * Clarify in several places exactly which iRiver devices work.

 -- Jacob Luna Lundberg <jacob@gnifty.net>  Sun, 11 Jun 2006 17:19:51 -0700

ifpgui (0.10.7-3) unstable; urgency=low

  * Update to policy version 3.7.2.0.  No changes required.
  * Modify package description based on several peoples' suggestions.
  * Clarify in debian/copyright which license applies to which files.

 -- Jacob Luna Lundberg <jacob@gnifty.net>  Sun, 14 May 2006 09:49:49 -0700

ifpgui (0.10.7-2) unstable; urgency=low

  * Upload to debian archive (Closes: #365951).
  * Remove src/translations/*qm in debian/rules clean.
  * Add empty binary-indep target to debian/rules.
  * Create basic man page for ifpgui.
  * Add build dep on libqt3-mt-dev to make pbuilder work.

 -- Jacob Luna Lundberg <jacob@gnifty.net>  Tue, 02 May 2006 23:41:49 -0700

ifpgui (0.10.7-1) unstable; urgency=low

  * Upgrade to newest upstream release.
  * Add a .desktop file to the installation, as it isn't there anymore.
  * Rename the package and the main binary (because upstream renamed it).
  * Update debian/copyright to debian standards, and improve debian/control.

 -- Jacob Luna Lundberg <jacob@gnifty.net>  Sat, 29 Apr 2006 11:07:30 -0700

ifp-gui (0.10.5-2) unstable; urgency=low

  * Remove startup notification from .desktop file, this app doesn't have it.

 -- John Steele Scott <toojays@toojays.net>  Thu,  1 Dec 2005 20:02:51 +1030

ifp-gui (0.10.5-1) unstable; urgency=low

  * Initial release. Added .desktop file.

 -- John Steele Scott <toojays@toojays.net>  Sun, 27 Nov 2005 21:44:17 +1030
