=== debian/control ===
Source: ifpgui
Section: sound
Priority: extra
Homepage: http://ifpgui.sourceforge.net/
Maintainer: Jacob Luna Lundberg <jacob@gnifty.net>
Build-Depends: debhelper (>= 7), qt3-dev-tools, libqt3-mt-dev, libusb-dev, libifp-dev (>= 1.0.0.2)
Standards-Version: 3.8.4

Package: ifpgui
Architecture: any
Replaces: ifp-gui
Depends: ${shlibs:Depends}, ${misc:Depends}, libifp4 (>= 1.0.0.2)
Recommends: udev
Description: QT based manager for iRiver iFP audio players
 This project is an open-source graphical user interface (GUI)
 for iRiver's iFP flash audio players.  It uses libifp to access
 the player over the management interface.
 .
 This program does not work with the H series players.  These
 models are known to work: iFP-1xx,3xx,5xx,7xx,8xx,9xx and N10.
 You can only use this software if your player has the
 "Management" version of iRiver's firmware installed.
