=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g
QMAKE = qmake

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


build:
	dh_testdir
	cd src && lrelease src.pro && $(QMAKE) src.pro
	$(QMAKE) ifpgui.pro
	$(MAKE)

clean:
	dh_testdir
	dh_testroot
	$(QMAKE) ifpgui.pro
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean
	-rm -rf bin
	-rm Makefile src/Makefile
	-rm src/translations/*qm
	-rm -rf src/moc src/obj

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean 
	dh_installdirs usr/bin usr/share/qt3/translations usr/share/applications
	dh_install src/translations/*.qm usr/share/qt3/translations
	dh_install bin/ifpgui usr/bin
	dh_install debian/ifpgui.desktop usr/share/applications
	dh_installchangelogs CHANGELOG
	dh_installdocs ifpgui.faq README
	dh_installman debian/ifpgui.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

binary: binary-arch

get-orig-source:
	wget http://optusnet.dl.sourceforge.net/sourceforge/ifpgui/ifpgui-0.12.0.tar.gz && mv

.PHONY: build clean binary-indep binary-arch binary install configure
