## ifpgui 1.0.0

=== Makefile ===
#############################################################################
# Makefile for building: bin/ifpgui
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Jun 6 23:25:23 2010
# Project:  ifpgui.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile ifpgui.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -O2 -fmessage-length=0 -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector -funwind-tables -fasynchronous-unwind-tables -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -m64 -pipe -O2 -fmessage-length=0 -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector -funwind-tables -fasynchronous-unwind-tables -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/default -I. -I/usr/include/QtCore -I/usr/include/QtGui -I/usr/include/QtXml -I/usr/include -Ibuild/moc
LINK          = g++
LFLAGS        = -m64 -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib64 -L/usr/lib -lusb-1.0 -lQtXml -L/usr/lib64 -lQtGui -L/usr/X11R6/lib64 -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = build/obj/

####### Files

SOURCES       = settings.cpp \
		revision.cpp \
		radiofreqdlg.cpp \
		main.cpp \
		ifpguiview.cpp \
		ifp_gui.cpp \
		gui_user.cpp \
		fileviewer.cpp \
		createdirdlg.cpp \
		backend/iointerface.cpp \
		backend/ifpinterface.cpp \
		ifprecconv/ifprecconv.c \
		ifprecconv/adpcm.c \
		libifp/userfile.c \
		libifp/tuner.c \
		libifp/readwrite.c \
		libifp/prim.c \
		libifp/ifp_os_libusb.c \
		libifp/error_strings.c \
		libifp/comp.c \
		playlist/playlistloader.cpp build/moc/moc_radiofreqdlg.cpp \
		build/moc/moc_ifpguiview.cpp \
		build/moc/moc_ifp_gui.cpp \
		build/moc/moc_fileviewer.cpp \
		build/moc/moc_createdirdlg.cpp \
		qrc_ifpgui.cpp
OBJECTS       = build/obj/settings.o \
		build/obj/revision.o \
		build/obj/radiofreqdlg.o \
		build/obj/main.o \
		build/obj/ifpguiview.o \
		build/obj/ifp_gui.o \
		build/obj/gui_user.o \
		build/obj/fileviewer.o \
		build/obj/createdirdlg.o \
		build/obj/iointerface.o \
		build/obj/ifpinterface.o \
		build/obj/ifprecconv.o \
		build/obj/adpcm.o \
		build/obj/userfile.o \
		build/obj/tuner.o \
		build/obj/readwrite.o \
		build/obj/prim.o \
		build/obj/ifp_os_libusb.o \
		build/obj/error_strings.o \
		build/obj/comp.o \
		build/obj/playlistloader.o \
		build/obj/moc_radiofreqdlg.o \
		build/obj/moc_ifpguiview.o \
		build/obj/moc_ifp_gui.o \
		build/obj/moc_fileviewer.o \
		build/obj/moc_createdirdlg.o \
		build/obj/qrc_ifpgui.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		ifpgui.pro
QMAKE_TARGET  = ifpgui
DESTDIR       = bin/
TARGET        = bin/ifpgui

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	@$(CHK_DIR_EXISTS) bin/ || $(MKDIR) bin/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ifpgui.pro  /usr/share/qt4/mkspecs/default/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib64/libQtXml.prl \
		/usr/lib64/libQtCore.prl \
		/usr/lib64/libQtGui.prl
	$(QMAKE) -unix -o Makefile ifpgui.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib64/libQtXml.prl:
/usr/lib64/libQtCore.prl:
/usr/lib64/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile ifpgui.pro

dist: 
	@$(CHK_DIR_EXISTS) build/obj/ifpgui1.0.0 || $(MKDIR) build/obj/ifpgui1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/obj/ifpgui1.0.0/ && $(COPY_FILE) --parents settings.h revision.h radiofreqdlg.h ifprecconv.h ifpguiview.h ifp_gui.h ifp.h gui_user.h fileviewer.h createdirdlg.h backend/iointerface.h backend/ifpinterface.h ifprecconv/endian.h ifprecconv/adpcm.h libifp/prim.h libifp/ifp_os.h playlist/playlistloader.h build/obj/ifpgui1.0.0/ && $(COPY_FILE) --parents ifpgui.qrc build/obj/ifpgui1.0.0/ && $(COPY_FILE) --parents settings.cpp revision.cpp radiofreqdlg.cpp main.cpp ifpguiview.cpp ifp_gui.cpp gui_user.cpp fileviewer.cpp createdirdlg.cpp backend/iointerface.cpp backend/ifpinterface.cpp ifprecconv/ifprecconv.c ifprecconv/adpcm.c libifp/userfile.c libifp/tuner.c libifp/readwrite.c libifp/prim.c libifp/ifp_os_libusb.c libifp/error_strings.c libifp/comp.c playlist/playlistloader.cpp build/obj/ifpgui1.0.0/ && $(COPY_FILE) --parents translations/ifpgui_ru.ts translations/ifpgui_da_DK.ts translations/ifpgui_de.ts translations/ifpgui_ca.ts translations/ifpgui_blank.ts build/obj/ifpgui1.0.0/ && (cd `dirname build/obj/ifpgui1.0.0` && $(TAR) ifpgui1.0.0.tar ifpgui1.0.0 && $(COMPRESS) ifpgui1.0.0.tar) && $(MOVE) `dirname build/obj/ifpgui1.0.0`/ifpgui1.0.0.tar.gz . && $(DEL_FILE) -r build/obj/ifpgui1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: build/moc/moc_radiofreqdlg.cpp build/moc/moc_ifpguiview.cpp build/moc/moc_ifp_gui.cpp build/moc/moc_fileviewer.cpp build/moc/moc_createdirdlg.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) build/moc/moc_radiofreqdlg.cpp build/moc/moc_ifpguiview.cpp build/moc/moc_ifp_gui.cpp build/moc/moc_fileviewer.cpp build/moc/moc_createdirdlg.cpp
build/moc/moc_radiofreqdlg.cpp: backend/ifpinterface.h \
		ifp.h \
		radiofreqdlg.h
	/usr/bin/moc $(DEFINES) $(INCPATH) radiofreqdlg.h -o build/moc/moc_radiofreqdlg.cpp

build/moc/moc_ifpguiview.cpp: fileviewer.h \
		backend/iointerface.h \
		gui_user.h \
		settings.h \
		ifpguiview.h
	/usr/bin/moc $(DEFINES) $(INCPATH) ifpguiview.h -o build/moc/moc_ifpguiview.cpp

build/moc/moc_ifp_gui.cpp: ifpguiview.h \
		fileviewer.h \
		backend/iointerface.h \
		gui_user.h \
		settings.h \
		ifp_gui.h
	/usr/bin/moc $(DEFINES) $(INCPATH) ifp_gui.h -o build/moc/moc_ifp_gui.cpp

build/moc/moc_fileviewer.cpp: backend/iointerface.h \
		gui_user.h \
		fileviewer.h
	/usr/bin/moc $(DEFINES) $(INCPATH) fileviewer.h -o build/moc/moc_fileviewer.cpp

build/moc/moc_createdirdlg.cpp: createdirdlg.h
	/usr/bin/moc $(DEFINES) $(INCPATH) createdirdlg.h -o build/moc/moc_createdirdlg.cpp

compiler_rcc_make_all: qrc_ifpgui.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_ifpgui.cpp
qrc_ifpgui.cpp: ifpgui.qrc \
		images/battery3.png \
		images/multimedia.png \
		images/format_s.png \
		images/editdelete_s.png \
		images/reload.png \
		images/folder.png \
		images/playlist.png \
		images/music.png \
		images/battery2.png \
		images/delete.png \
		images/download_s.png \
		images/folder-locked.png \
		images/upload_s.png \
		images/rename.png \
		images/battery1.png \
		images/view_left_right.png \
		images/updirectory.png \
		images/reload_s.png \
		images/audio.png \
		images/fileclose_s.png \
		images/file.png \
		images/radio_s.png \
		images/battery4.png \
		images/folder-open.png \
		images/newfolder.png \
		images/battery0.png \
		images/properties.png \
		images/view_top_bottom.png
	/usr/bin/rcc -name ifpgui ifpgui.qrc -o qrc_ifpgui.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean 

####### Compile

build/obj/settings.o: settings.cpp settings.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/obj/settings.o settings.cpp

build/obj/revision.o: revision.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/obj/revision.o revision.cpp

build/obj/radiofreqdlg.o: radiofreqdlg.cpp radiofreqdlg.h \
		backend/ifpinterface.h \
		ifp.h \
		gui_user.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/obj/radiofreqdlg.o radiofreqdlg.cpp

build/obj/main.o: main.cpp ifp_gui.h \
		ifpguiview.h \
		fileviewer.h \
		backend/iointerface.h \
		gui_user.h \
		settings.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/obj/main.o main.cpp

build/obj/ifpguiview.o: ifpguiview.cpp ifp_gui.h \
		ifpguiview.h \
		fileviewer.h \
		backend/iointerface.h \
		gui_user.h \
		settings.h \
		radiofreqdlg.h \
		backend/ifpinterface.h \
		ifp.h \
		playlist/playlistloader.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/obj/ifpguiview.o ifpguiview.cpp

build/obj/ifp_gui.o: ifp_gui.cpp backend/ifpinterface.h \
		ifp.h \
		radiofreqdlg.h \
		revision.h \
		ifp_gui.h \
		ifpguiview.h \
		fileviewer.h \
