=== debian/changelog ===
ifpgui (1.0.0-3) unstable; urgency=low

  * Add patch for FTBFS against gcc-4.7.  (Closes: #672058)
    - Thank you to Paul Tagliamonte.
  * Add myself to Uploaders.
  * Bump Standards-Version to 3.9.3 (no changes).
  * Update d/rules to add build-arch and build-indep targets.

 -- tony mancill <tmancill@debian.org>  Sun, 20 May 2012 20:58:27 -0700

ifpgui (1.0.0-2) unstable; urgency=low

  * Switching architecture to linux-any.
    - The package has never built on hurd.
    - Looks like kfreebsd have settled on an incompatible libusb.

 -- Jacob Luna Lundberg <jacob@gnifty.net>  Sun, 25 Jul 2010 11:07:59 -0700

ifpgui (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * Uses libusb 1.0 and QT 4.
  * Source moved around a lot; updated debian/rules.
  * Removed deprecated Encoding key from desktop file.
  * Update to policy version 3.9.0.0.  No changes required.
  * Added debian/watch file.

 -- Jacob Luna Lundberg <jacob@gnifty.net>  Sat, 24 Jul 2010 16:21:25 -0700
