=== debian/control ===
Source: ifpgui
Section: sound
Priority: extra
Homepage: http://ifpgui.sourceforge.net/
Maintainer: Jacob Luna Lundberg <jacob@gnifty.net>
Uploaders: tony mancill <tmancill@debian.org>
Build-Depends: debhelper (>= 7), libqt4-dev, qt4-dev-tools, libusb-1.0-0-dev, libifp-dev (>= 1.0.0.2)
Standards-Version: 3.9.3

Package: ifpgui
Architecture: linux-any
Replaces: ifp-gui
Depends: ${shlibs:Depends}, ${misc:Depends}, libifp4 (>= 1.0.0.2)
Recommends: udev
Description: QT based manager for iRiver iFP audio players
 This project is an open-source graphical user interface (GUI)
 for iRiver's iFP flash audio players.  It uses libifp to access
 the player over the management interface.
 .
 This program does not work with the H, T or other recent models.
 These models are known to work: iFP-1xx,3xx,5xx,7xx,8xx,9xx and N10.
 You can only use this software if your player has the "Management"
 version of iRiver's firmware installed.
