=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #export DH_VERBOSE=1
 
 CFLAGS = -Wall -g
-QMAKE = qmake
+QMAKE = qmake-qt4
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -18,10 +18,14 @@
 	CFLAGS += -O2
 endif
 
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 
-build:
+build-stamp:
 	dh_testdir
-	cd src && lrelease src.pro && $(QMAKE) src.pro
+	mkdir -p bin/translations build/{moc,obj}
+	lrelease ifpgui.pro
 	$(QMAKE) ifpgui.pro
 	$(MAKE)
 
@@ -31,21 +35,20 @@
 	$(QMAKE) ifpgui.pro
 	[ ! -f Makefile ] || $(MAKE) clean
 	dh_clean
-	-rm -rf bin
-	-rm Makefile src/Makefile
-	-rm src/translations/*qm
-	-rm -rf src/moc src/obj
+	-rm Makefile
+	-rm translations/*qm
+	-rm -rf bin build/{moc,obj}
 
 binary-arch: build
 	dh_testdir
 	dh_testroot
 	dh_clean 
-	dh_installdirs usr/bin usr/share/qt3/translations usr/share/applications
-	dh_install src/translations/*.qm usr/share/qt3/translations
+	dh_installdirs usr/bin usr/share/qt4/translations usr/share/applications
+	dh_install translations/*.qm usr/share/qt4/translations
 	dh_install bin/ifpgui usr/bin
 	dh_install debian/ifpgui.desktop usr/share/applications
-	dh_installchangelogs CHANGELOG
-	dh_installdocs ifpgui.faq README
+	dh_installchangelogs
+	dh_installdocs docs/iRiver.pdf
 	dh_installman debian/ifpgui.1
 	dh_link
 	dh_strip
