=== debian/watch ===
version=3
http://sf.net/ifpgui/ifpgui-(.+)\.tar\.gz
